Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.testing.transportlayer
Class SRManagerTest

    java.lang.Object
      org.mpisws.p2p.testing.transportlayer.TLTest<MultiInetSocketAddress>
          org.mpisws.p2p.testing.transportlayer.SRManagerTest

    public class SRManagerTest

extends TLTest<MultiInetSocketAddress>

Field Summary
`static byte[]` | `GOOD_HDR` Goes to Alice/Bob

Constructor Summary
`SRManagerTest()`

Method Summary
`MultiInetSocketAddress` | `getBogusIdentifier(MultiInetSocketAddress local)` The identifer to a bogus node.
`static int` | `getDelay(SourceRoute a, SourceRoute b)`
`static void` | `setUpBeforeClass()`
`void` | `testLiveness()`
`void` | `testProximity()`

Methods inherited from class org.mpisws.p2p.testing.transportlayer.TLTest
`getIdentifier, messageTooBigUDP, noCallbackTest, openTCP, sendUDP, tearDownAfterClass, testSocketThreadSafety`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GOOD_HDR

    public static final byte[] GOOD_HDR

  Goes to Alice/Bob

Constructor Detail

### SRManagerTest

    public SRManagerTest()

Method Detail

### setUpBeforeClass

    public static void setUpBeforeClass()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getDelay

    public static int getDelay(SourceRoute a,
                               SourceRoute b)

### testProximity

    public void testProximity()
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testLiveness

    public void testLiveness()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getBogusIdentifier

    public MultiInetSocketAddress getBogusIdentifier(MultiInetSocketAddress local)
                                              throws java.io.IOException

  Description copied from class: `TLTest`
  The identifer to a bogus node.

  Specified by:
    `getBogusIdentifier` in class `TLTest<MultiInetSocketAddress>`
  Returns:
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.